Cannot administer projects and users

04 Jan 2013 10:14 - Frank Dautzenberg

Status: Closed Start date: 04 Jan 2013

Priority: Normal Due date: 24 Jan 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.1   

Redmine version:  External issue:  

Description

After successful installation of extended_fields, both

adminstration → projects and

administration → users

yield an error message:

Internal error

An error occurred on the page you were trying to access.

 If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 

Redmine version (in VMWare Player, TurnKey Redmine 12.0)

Redmine 1.4.4.stable (MySQL)

Default administrator account changed

Attachments directory writable

Plugin assets directory writable

RMagick available (optional)

 

Extended Fields version

Extended fieldsAdds new custom field types, improves listings etc.http://projects.andriylesyuk.com

/projects/extended-fields

Andriy Lesyuk

0.2.0b

Associated revisions

Revision 78 - 24 Jan 2013 14:09 - Andriy Lesyuk

Applied fix of user#687 (#2136)

History

#1 - 09 Jan 2013 16:03 - Alexander Kuznecov

Hello,

We have faced with this error too:
NoMethodError (undefined method `empty?' for nil:NilClass):

  vendor/plugins/extended_fields/app/models/user_list_setting.rb:40:in `columns'

  vendor/plugins/extended_fields/app/models/user_list_setting.rb:14:in `initialize'

 

I have managed myself with fixing this error by changing line 40 in vendor/plugins/extended_fields/app/models/user_list_setting.rb

from

fields = list_class.default_columns.collect{ |column| column.name } if fields.empty?

to

fields = list_class.default_columns.collect{ |column| column.name } if fields.blank?

#2 - 10 Jan 2013 14:52 - Frank Dautzenberg

Going to try this solution in the testing environment.

How soon can we expect an updated package being available?

#3 - 10 Jan 2013 15:26 - Frank Dautzenberg

The solution was not really diffcult to test 

Worked OK!

#4 - 20 Jan 2013 23:39 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#5 - 24 Jan 2013 13:42 - Andriy Lesyuk

- Tracker changed from Bug to Patch

- Due date set to 24 Jan 2013

- Status changed from Open to Closed

- % Done changed from 0 to 100

Thanks for the fix, Alexander!
